# SPDX-FileCopyrightText: 2020 Helmholtz Centre for Environmental Research (UFZ)
# SPDX-FileCopyrightText: 2020 Helmholtz-Zentrum Dresden-Rossendorf (HZDR)
#
# SPDX-License-Identifier: Apache-2.0

---
#
postgresql_dependencies:
  - "python3-apt"
#
postgresql_packages:
  - "postgresql-12"
  - "postgresql-client-12"
#
postgresql_user: 'postgres'
#
postgresql_group: 'postgres'
#
postgresql_data_dir: '/var/lib/postgresql/12/main'
#
postgresql_config_dir: '/etc/postgresql/12/main/'
#
postgresql_config_path: "{{ postgresql_config_dir }}postgresql.conf"
#
postgresql_hba_path: "{{ postgresql_config_dir }}pg_hba.conf"
#
postgresql_ident_path: "{{ postgresql_config_dir }}pg_ident.conf"
#
postgresql_service: 'postgresql.service'
#
postgresql_socket_dir: '/var/run/postgresql'
#
postgresql_pid_path: '/var/run/postgresql/12-main.pid'
#
postgresql_ip_address: '192.168.33.17'

...
